Novell Home

CVE-2014-2525

Common Vulnerabilities and Exposures

[Previous] [Index] [Next]

Upstream information

CVE-2014-2525 at MITRE

Description

Heap-based buffer overflow in the yaml_parser_scan_uri_escapes function in LibYAML before 0.1.6 allows context-dependent attackers to execute arbitrary code via a long sequence of percent-encoded characters in a URI in a YAML file.

NVD CVSS v2 Base Score: 6.8 (AV:N/AC:M/Au:N/C:P/I:P/A:P)

Novell/SUSE information

Novell Bugzilla entry: 868944

SUSE Security Advisories:

List of released packages

Product(s) Fixed package version(s) References
SUSE Cloud 3
  • libyaml-0-2 >= 0.1.3-0.10.12.1.x86_64
Builds
SAT Patch Nr: 9041
SUSE Manager 1.7 for SLE 11 SP2
SUSE Studio Onsite 1.3
  • libyaml-0-2 >= 0.1.3-0.10.12.1.x86_64
Builds
SAT Patch Nr: 9042

© 2014 Novell